Friday, April 18, 2008

PayPal To Ban Unsafe Browsers

PayPal is planning to ban unsafe browsers in the future. What is "unsafe" according to PayPal? Well, they said browsers without anti-phishing features will be considered "unsafe" meaning that Apple Safari 3.1.x will be on the list since they don't have that feature (yet). PayPal is recommending the use of blacklists, anti-fraud warning pages, and EV SSL certificates.

So if you use Safari right now to access PayPal, you should try to look for another browser to access PayPal in the future.